netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
comm.h File Reference
`#include <atalk/cnid_bdb_private.h>`

Go to the source code of this file.

## Macros
#define | CNID_DBD_TIMEOUT 1

## Functions
int | comm_init (struct db_param *, int, int)
int | comm_rcv (struct cnid_dbd_rqst *, time_t, const sigset_t *, time_t *)
int | comm_snd (struct cnid_dbd_rply *)
int | comm_nbe (void)

## Macro Definition Documentation

## ◆ CNID_DBD_TIMEOUT

#define CNID_DBD_TIMEOUT 1

number of seconds to try reading in readt

## Function Documentation

## ◆ comm_init()

int comm_init | ( | struct db_param * | dbp,
|  | int | ctrlfd,
|  | int | clntfd )

## ◆ comm_nbe()

int comm_nbe | ( | void |  | ) |

## ◆ comm_rcv()

int comm_rcv | ( | struct cnid_dbd_rqst * | rqst,
|  | time_t | timeout,
|  | const sigset_t * | sigmask,
|  | time_t * | now )

## ◆ comm_snd()

int comm_snd | ( | struct cnid_dbd_rply * | rply | ) |